神奈川県伊勢原市在住のkusuのサイトです!ホームページ制作のご依頼等承っております!

【WordPress】PHP Code For Postsを使って投稿記事内でもPHPを実行できるようにする

2016.07.13
WordPress

 以前、【WordPress】投稿にてPHPを記述できるようになるプラグイン『Exec-PHP』についてにて、Exec-PHPというプラグインをインストールすれば投稿記事内にPHPを記述した時に実行できる…とご紹介しました。

が、どうやらPHPのバージョンやWordPressのバージョンによってはExec-PHPがうまく動かない…という事象が起きてしまう。。。ということが判明しましたorz

ということで、Exec-PHPと同じように投稿記事内にPHPを記述することができるプラグインを見つけたので、今回はそのプラグインについて紹介したいと思います!

今回紹介するプラグインは?

 今回紹介するプラグインは、『PHP Code for posts』というものになります!

このプラグインをご自身のWordPressにインストールし、有効化することで投稿記事内にPHPを記述した時にPHPを実行することが可能になります!

ウィジェットでも使える!

 ちなみにこのプラグインはExec-PHP同様、ウィジェット機能で追加した【テキスト】内にPHPを記述した場合も問題なくPHPが実行されるので、かなり融通の利くプラグインだと思います(^-^)

※プラグインによっては相性が悪いことも

 投稿記事内はもちろん、ウィジェットにもPHPが記述できるということでかなりオススメなPHP Code for postsですが、HTMLやCSSなどのソースコードを表示してくれるプラグイン『SyntaxHighlighter Evolved』とは相性が悪いということが判明しました…。

SyntaxHighlighter Evolvedは当サイトでも使用していますが、その上でPHP Code for postsを有効化したところ、SyntaxHighlighter Evolvedでソースコードを表示しているページに行ってみると記事が表示されなくなったという(´・ω・`)

Exec-PHPはSyntaxHighlighter Evolvedとの相性は良いみたいなので、その場合はExec-PHPを使ったほうがよいのかもしれません…!

まとめ

 PHP Code for postsを使えばExec-PHPと同じように投稿記事内にPHPを記述して実行できますし、なおかつExec-PHPよりアップデートされている回数も多いので、個人的にはExec-PHPよりもPHP Code for postsをインストールして有効化することをオススメします!

が、上にも書いたようにプラグインによっては相性が悪いこともあるみたいなので、ご自身のサイトで問題なく使用できるか確認したうえでプラグインを使うか決めましょう…!

関連記事

スポンサーリンク
検 索